import type { LinkedBundle } from '@devvit/protos';
import { LitElement, type PropertyValueMap } from 'lit';
import '@devvit/previews/dist/devvit-preview.js';
declare global {
    interface HTMLElementTagNameMap {
        'play-preview': PlayPreview;
    }
}
/** The rendered output of Devvit program under various parameters. */
export declare class PlayPreview extends LitElement {
    #private;
    static get styles(): import("lit").CSSResult;
    bundle?: LinkedBundle | undefined;
    private readonly _client;
    protected willUpdate(changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
}
